SCSI_TARGET_REAP(9)

NAME
scsi_target_reap - check to see if target is in use and destroy if not

SYNOPSIS

void scsi_target_reap(struct scsi_target * starget);

ARGUMENTS

starget
    target to be checked

DESCRIPTION

This is used after removing a LUN or doing a last put of the target it checks atomically that nothing is using the target and removes it if so.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT